UNIQ(1)

NIMI
uniq - report or omit repeated lines

YLEISKATSAUS
uniq [VALITSIN]... [SYÖTE [TULOSTE]]

KUVAUS

Suodata vierekkäiset vastaavat rivit INPUT:stä (tai vakiosyötteenä), kirjoittaminen OUTPUT(tai vakiolähtö).

Jos vaihtoehtoja ei ole, vastaavat rivit yhdistetään ensimmäiseen esiintymään.

Pitkien valitsinten pakolliset argumentit ovat pakollisia myös lyhyille.

-c, --count
    liitä rivin eteen sen esiintymiskertojen määrä

-d, --repeated
    tulosta vain useaan kertaan esiintyvät rivit

-D  tulosta kaikki päällekkäiset rivit

--all-repeated[=MENETELMÄ]
    like -D, but allow separating groups with an empty line; METHOD={none(default),prepend,separate}

-f, --skip-fields=N
    vältä vertaamasta ensimmäisiä N-kenttiä

--group[=MENETELMÄ]
    show all items, separating groups with an empty line; METHOD={separate(default),prepend,append,both}

-i, --ignore-case
    ohittaa erot, jos verrataan

-s, --skip-chars=N
    vältä vertaamasta ensimmäisiä N-merkkejä

-u, --unique
    vain yksilölliset tulostettavat rivit

-z, --zero-terminated
    päätä rivit 0-tavuun, ei rivinvaihtoon

-w, --check-chars=N
    vertaa vain rivien N:ää ensimmäistä merkkiä

--help
    näytä tämä ohje ja poistu

--version
    näytä versiotiedot ja poistu

Kenttä on joukko tyhjeitä, joita seuraa joukko ei-tyhjeitä. Kentät ohitetaan ennen merkkejä.

'uniq' does not detect repeated lines unless they are adjacent. You may want to sort the input first, or use 'sort -u' without 'uniq'.

TEKIJÄ
Kirjoittaneet Richard M. Stallman ja David MacKenzie.

VIRHEISTÄ ILMOITTAMINEN
GNU coreutils online help: <https://www.gnu.org/software/coreutils/>
Ilmoita käännösvirheistä osoitteeseen <https://translationproject.org/team/fi.html>

TEKIJÄNOIKEUDET
Copyright © 2024 Free Software Foundation, Inc. Lisenssi GPLv3+: GNU GPL versio 3 tai myöhempi <https://gnu.org/licenses/gpl.html>.
Tämä on vapaa ohjelmisto; sitä saa vapaasti muuttaa ja levittää edelleen. Siinä määrin kuin laki sallii, TAKUUTA EI OLE.

KATSO MYÖS
comm(1), join(1), sort(1)

Koko dokumentaatio: <https://www.gnu.org/software/coreutils/uniq>
tai saatavilla paikallisesti: info '(coreutils) uniq invocation'

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Jukka Zitting <jukka.zitting@iki.fi>

Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.